import NotificationI from "./uiNotificationEntity";
import SearchResult from "./uiSearchEntity";

interface UIStore {
  /* -------------------------------------------------------------------------- */
  /*                                  Searchbar                                 */
  /* -------------------------------------------------------------------------- */
  /* ---------------------------------- State --------------------------------- */
  isSearchbarShown: boolean;
  /* --------------------------------- Actions -------------------------------- */
  searchbarShown(shown: boolean): void;
  /* -------------------------------------------------------------------------- */
  /*                                 Search flow                                */
  /* -------------------------------------------------------------------------- */
  /* ---------------------------------- State --------------------------------- */
  query: string;
  searchResult: SearchResult[] | undefined;
  /* --------------------------------- Actions -------------------------------- */
  changeQuery(query: string): void;
  executeQuery(query: string): Promise<SearchResult>;
  /* -------------------------------------------------------------------------- */
  /*                                   Drawer                                   */
  /* -------------------------------------------------------------------------- */
  /* ---------------------------------- State --------------------------------- */
  isDrawerCollapsed: boolean;
  /* --------------------------------- Actions -------------------------------- */
  initDrawer(): void;
  drawerIs(shown: boolean): void;
  /* -------------------------------------------------------------------------- */
  /*                                Notifications                               */
  /* -------------------------------------------------------------------------- */
  /* ---------------------------------- State --------------------------------- */
  notifications: NotificationI[],
  /* --------------------------------- Actions -------------------------------- */
  notify(notification: Omit<NotificationI, "uid">): void;
  removeNotification(uid: NotificationI['uid']): void;
  clearNotifications(): void;

}

export type { UIStore };
